Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3019)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3036)
@@ -2190,12 +2202,12 @@
                 ELSEIF ( init_3d%lod_v == 2 )  THEN
 !
-!--                Set offset value. In case of Dirichlet conditions at the south 
-!--                domain boundary, the v component starts at nys+1. This case, 
+!--                Set offset value. In case of Dirichlet conditions at the south
+!--                domain boundary, the v component starts at nys+1. This case,
 !--                the passed start-index for reading the NetCDF data is shifted
-!--                by -1.  
+!--                by -1.
                    off_j = 1 !MERGE( 1, 0, forcing )
 
                    DO  i = nxl, nxr
-                      DO  j = nysv, nyn   
+                      DO  j = nysv, nyn
                          CALL get_variable( id_dynamic, 'init_v', i, j-off_j,  &
                                             v(nzb+1:nzt+1,j,i) )
@@ -2239,6 +2251,6 @@
 !
 !--          Read potential temperature
-             IF ( .NOT. neutral )  THEN      
-                IF ( check_existence( var_names, 'init_pt' ) )  THEN   
+             IF ( .NOT. neutral )  THEN
+                IF ( check_existence( var_names, 'init_pt' ) )  THEN
 !
 !--                Read attributes for the fill value and level-of-detail
@@ -2267,5 +2279,5 @@
                       ENDDO
 
-                   ENDIF 
+                   ENDIF
                    init_3d%from_file_pt = .TRUE.
                 ENDIF
@@ -2385,5 +2397,5 @@
        CALL cpu_log( log_point_s(85), 'NetCDF input init', 'stop' )
 !
-!--    Finally, check if the input data has any fill values. Please note, 
+!--    Finally, check if the input data has any fill values. Please note,
 !--    checks depend on the LOD of the input data.
        IF ( init_3d%from_file_u )  THEN
@@ -2468,5 +2480,5 @@
 !
 !--    Workaround for cyclic conditions. Please see above for further explanation.
-       IF ( bc_lr_cyc  .AND.  nxl == 0 )  nxlu = nxl  
+       IF ( bc_lr_cyc  .AND.  nxl == 0 )  nxlu = nxl
        IF ( bc_ns_cyc  .AND.  nys == 0 )  nysv = nys
 
@@ -2476,5 +2488,5 @@
 ! Description:
 ! ------------
-!> Reads data at lateral and top boundaries derived from larger-scale model 
+!> Reads data at lateral and top boundaries derived from larger-scale model
 !> (COSMO) by Inifor.
 !------------------------------------------------------------------------------!
@@ -2501,7 +2513,7 @@
        INTEGER(iwp) ::  t          !< running index time dimension
 
-       REAL(wp) ::  dum           !< dummy variable to skip columns while reading topography file   
-
-       force%from_file = MERGE( .TRUE., .FALSE., input_pids_dynamic ) 
+       REAL(wp) ::  dum           !< dummy variable to skip columns while reading topography file
+
+       force%from_file = MERGE( .TRUE., .FALSE., input_pids_dynamic )
 !
 !--    Skip input if no forcing from larger-scale models is applied.
@@ -2518,10 +2530,10 @@
 !--          Open file in read-only mode
              CALL open_read_file( TRIM( input_file_dynamic ) //                &
-                                  TRIM( coupling_char ), id_dynamic )  
-!
-!--          Initialize INIFOR forcing. 
+                                  TRIM( coupling_char ), id_dynamic )
+!
+!--          Initialize INIFOR forcing.
              IF ( .NOT. force%init )  THEN
 !
-!--             At first, inquire all variable names. 
+!--             At first, inquire all variable names.
                 CALL inquire_num_variables( id_dynamic, num_vars )
 !
@@ -2567,7 +2579,7 @@
 
 !
-!--          Obtain time index for current input starting at 0. 
-!--          @todo: At the moment time, in INIFOR and simulated time correspond 
-!--                 to each other. If required, adjust to daytime. 
+!--          Obtain time index for current input starting at 0.
+!--          @todo: At the moment time, in INIFOR and simulated time correspond
+!--                 to each other. If required, adjust to daytime.
              force%tind = MINLOC( ABS( force%time - simulated_time ), DIM = 1 )&
                           - 1
@@ -2578,22 +2590,22 @@
              IF ( bc_lr_cyc  .AND.  bc_ns_cyc )  THEN
                 DO  t = force%tind, force%tind_p
-                   CALL get_variable_pr( id_dynamic, 'ls_forcing_ug', t+1,     &
+                   CALL get_variable_pr( id_dynamic, 'tend_ug', t+1,           &
                                          force%ug(t-force%tind,:) )
-                   CALL get_variable_pr( id_dynamic, 'ls_forcing_vg', t+1,     &
+                   CALL get_variable_pr( id_dynamic, 'tend_vg', t+1,           &
                                          force%ug(t-force%tind,:) )
                 ENDDO
-             ENDIF  
-!
-!--          Read data at lateral and top boundaries. Please note, at left and 
-!--          right domain boundary, yz-layers are read for u, v, w, pt and q. 
+             ENDIF
+!
+!--          Read data at lateral and top boundaries. Please note, at left and
+!--          right domain boundary, yz-layers are read for u, v, w, pt and q.
 !--          For the v-component, the data starts at nysv, while for the other
-!--          quantities the data starts at nys. This is equivalent at the north 
-!--          and south domain boundary for the u-component. 
+!--          quantities the data starts at nys. This is equivalent at the north
+!--          and south domain boundary for the u-component.
 !--          The function get_variable_bc assumes the start indices with respect
-!--          to the netcdf file convention (data starts at index 1). For this 
-!--          reason, nys+1 / nxl+1 are passed instead of nys / nxl. For the 
+!--          to the netcdf file convention (data starts at index 1). For this
+!--          reason, nys+1 / nxl+1 are passed instead of nys / nxl. For the
 !--          the u- and v-component at the north/south, and left/right boundary,
-!--          nxlu and nysv are passed, respectively, since these always starts 
-!--          at index 1 in case of forcing. 
+!--          nxlu and nysv are passed, respectively, since these always starts
+!--          at index 1 in case of forcing.
 
              IF ( force_bound_l )  THEN
@@ -2881,9 +2893,9 @@
 
 !
-!--    Finally, after data input set control flag indicating that vertical 
-!--    inter- and/or extrapolation is required. 
-!--    Please note, inter/extrapolation of INIFOR data is only a workaroud, 
-!--    as long as INIFOR delivers vertically equidistant data. 
-       force%interpolated = .FALSE. 
+!--    Finally, after data input set control flag indicating that vertical
+!--    inter- and/or extrapolation is required.
+!--    Please note, inter/extrapolation of INIFOR data is only a workaroud,
+!--    as long as INIFOR delivers vertically equidistant data.
+       force%interpolated = .FALSE.
 
     END SUBROUTINE netcdf_data_input_lsf
@@ -2911,5 +2923,5 @@
 !
 !--    Dynamic input file must also be present if initialization via inifor is
-!--    prescribed. 
+!--    prescribed.
        IF ( .NOT. input_pids_dynamic  .AND.                                    &
             TRIM( initializing_actions ) == 'inifor' )  THEN
@@ -2947,5 +2959,5 @@
        INTEGER(iwp) ::  n_surf !< number of different surface types at given location
 
-       LOGICAL      ::  check_passed !< flag indicating if a check passed 
+       LOGICAL      ::  check_passed !< flag indicating if a check passed
 
 !
@@ -2961,6 +2973,6 @@
        ENDIF
 !
-!--    Check if grid spacing of provided input data matches the respective 
-!--    grid spacing in the model. 
+!--    Check if grid spacing of provided input data matches the respective
+!--    grid spacing in the model.
        IF ( dim_static%x(1) - dim_static%x(0) /= dx  .OR.                      &
             dim_static%y(1) - dim_static%y(0) /= dy )  THEN
@@ -2973,19 +2985,19 @@
 !--    Check orography for fill-values. For the moment, give an error message.
 !--    More advanced methods, e.g. a nearest neighbor algorithm as used in GIS
-!--    systems might be implemented later. 
-!--    Please note, if no terrain height is provided, it is set to 0. 
+!--    systems might be implemented later.
+!--    Please note, if no terrain height is provided, it is set to 0.
        IF ( ANY( terrain_height_f%var == terrain_height_f%fill ) )  THEN
-          message_string = 'NetCDF variable orography_2D is not ' //           &
+          message_string = 'NetCDF variable zt is not ' //                     &
                            'allowed to have missing data'
           CALL message( 'netcdf_data_input_mod', 'NDI013', 2, 2, 0, 6, 0 )
        ENDIF
 !
-!--    If 3D buildings are read, check if building information is consistent 
-!--    to numeric grid. 
+!--    If 3D buildings are read, check if building information is consistent
+!--    to numeric grid.
        IF ( buildings_f%from_file )  THEN
           IF ( buildings_f%lod == 2 )  THEN
              IF ( buildings_f%nz > SIZE( zu ) )  THEN
                 message_string = 'Reading 3D building data - too much ' //     &
-                                 'data points along the vertical coordinate.' 
+                                 'data points along the vertical coordinate.'
                 CALL message( 'netcdf_data_input_mod', 'NDI014', 2, 2, 0, 6, 0 )
              ENDIF
@@ -3003,5 +3015,5 @@
 !--    Skip further checks concerning buildings and natural surface properties
 !--    if no urban surface and land surface model are applied.
-       IF (  .NOT. land_surface  .OR.  .NOT. urban_surface )  RETURN 
+       IF (  .NOT. land_surface  .OR.  .NOT. urban_surface )  RETURN
 !
 !--    Check for minimum requirement of surface-classification data in case
@@ -3017,11 +3029,11 @@
                            'soil_type and water_type are '//                   &
                            'required. If urban-surface model is applied, ' //  &
-                           'also building_type ist required' 
+                           'also building_type ist required'
           CALL message( 'netcdf_data_input_mod', 'NDI016', 1, 2, 0, 6, 0 )
        ENDIF
 !
 !--    Check for general availability of input variables.
-!--    If vegetation_type is 0 at any location, vegetation_pars as well as 
-!--    root_area_density_lsm are required.
+!--    If vegetation_type is 0 at any location, vegetation_pars as well as
+!--    root_area_dens_s are required.
        IF ( vegetation_type_f%from_file )  THEN
           IF ( ANY( vegetation_type_f%var == 0 ) )  THEN
@@ -3033,5 +3045,5 @@
              IF ( .NOT. root_area_density_lsm_f%from_file )  THEN
                 message_string = 'If vegegation_type = 0 at any location, ' // &
-                                 'root_area_density_lsm is required'
+                                 'root_area_dens_s is required'
                 CALL message( 'netcdf_data_input_mod', 'NDI018', 2, 2, 0, 6, 0 )
              ENDIF
@@ -3041,5 +3053,5 @@
 !--    If soil_type is zero at any location, soil_pars is required.
        IF ( soil_type_f%from_file )  THEN
-          check_passed = .TRUE. 
+          check_passed = .TRUE.
           IF ( ALLOCATED( soil_type_f%var_2d ) )  THEN
              IF ( ANY( soil_type_f%var_2d == 0 ) )  THEN
@@ -3054,5 +3066,5 @@
              message_string = 'If soil_type = 0 at any location, ' //          &
                               'soil_pars is required'
-             CALL message( 'netcdf_data_input_mod', 'NDI019', 2, 2, 0, 6, 0 )          
+             CALL message( 'netcdf_data_input_mod', 'NDI019', 2, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -3064,5 +3076,5 @@
                 message_string = 'If building_type = 0 at any location, ' //   &
                                  'building_pars is required'
-                CALL message( 'netcdf_data_input_mod', 'NDI020', 2, 2, 0, 6, 0 )          
+                CALL message( 'netcdf_data_input_mod', 'NDI020', 2, 2, 0, 6, 0 )
              ENDIF
           ENDIF
@@ -3075,6 +3087,6 @@
                 message_string = 'If albedo_type = 0 at any location, ' //     &
                                  'albedo_pars is required'
-                CALL message( 'netcdf_data_input_mod', 'NDI021', 2, 2, 0, 6, 0 )     
-             ENDIF     
+                CALL message( 'netcdf_data_input_mod', 'NDI021', 2, 2, 0, 6, 0 )
+             ENDIF
           ENDIF
        ENDIF
@@ -3086,6 +3098,6 @@
                 message_string = 'If pavement_type = 0 at any location, ' //   &
                                  'pavement_pars is required'
-                CALL message( 'netcdf_data_input_mod', 'NDI022', 2, 2, 0, 6, 0 )     
-             ENDIF     
+                CALL message( 'netcdf_data_input_mod', 'NDI022', 2, 2, 0, 6, 0 )
+             ENDIF
           ENDIF
        ENDIF
@@ -3098,6 +3110,6 @@
                 message_string = 'If pavement_type = 0 at any location, ' //   &
                                  'pavement_subsurface_pars is required'
-                CALL message( 'netcdf_data_input_mod', 'NDI023', 2, 2, 0, 6, 0 )     
-             ENDIF     
+                CALL message( 'netcdf_data_input_mod', 'NDI023', 2, 2, 0, 6, 0 )
+             ENDIF
           ENDIF
        ENDIF
@@ -3109,6 +3121,6 @@
                 message_string = 'If water_type = 0 at any location, ' //      &
                                  'water_pars is required'
-                CALL message( 'netcdf_data_input_mod', 'NDI024', 2, 2, 0, 6, 0 )     
-             ENDIF     
+                CALL message( 'netcdf_data_input_mod', 'NDI024', 2, 2, 0, 6, 0 )
+             ENDIF
           ENDIF
        ENDIF
@@ -3118,5 +3130,5 @@
           DO  j = nys, nyn
 !
-!--          For each (y,x)-location at least one of the parameters 
+!--          For each (y,x)-location at least one of the parameters
 !--          vegetation_type, pavement_type, building_type, or water_type
 !--          must be set to a nonÂ­missing value.
@@ -3132,5 +3144,5 @@
              ENDIF
 !
-!--          Note that a soil_type is required for each location (y,x) where 
+!--          Note that a soil_type is required for each location (y,x) where
 !--          either vegetation_type or pavement_type is a nonÂ­missing value.
              IF ( ( vegetation_type_f%var(j,i) /= vegetation_type_f%fill  .OR. &
@@ -3154,6 +3166,6 @@
              ENDIF
 !
-!--          Check for consistency of surface fraction. If more than one type 
-!--          is set, surface fraction need to be given and the sum must not 
+!--          Check for consistency of surface fraction. If more than one type
+!--          is set, surface fraction need to be given and the sum must not
 !--          be larger than 1.
              n_surf = 0
@@ -3164,5 +3176,5 @@
              IF ( pavement_type_f%var(j,i)   /= pavement_type_f%fill )         &
                 n_surf = n_surf + 1
-             
+
              IF ( n_surf > 1 )  THEN
                 IF ( ANY ( surface_fraction_f%frac(:,j,i) ==                   &
@@ -3181,6 +3193,6 @@
              ENDIF
 !
-!--          Check for further mismatches, e.g. vegetation_type is set but 
-!--          surface vegetation fraction is zero. 
+!--          Check for further mismatches, e.g. vegetation_type is set but
+!--          surface vegetation fraction is zero.
              IF ( ( vegetation_type_f%var(j,i) /= vegetation_type_f%fill  .AND.&
                  ( surface_fraction_f%frac(ind_veg_wall,j,i) == 0.0_wp .OR.    &
@@ -3197,5 +3209,5 @@
                    surface_fraction_f%frac(ind_wat_win,j,i) ==                 &
                                                      surface_fraction_f%fill ) &
-                  ) )  THEN 
+                  ) )  THEN
                 WRITE( message_string, * ) 'Mismatch in setting of '     //    &
                              'surface_fraction. Vegetation-, pavement-, or '// &
@@ -3206,6 +3218,6 @@
              ENDIF
 !
-!--          Check for further mismatches, e.g. vegetation_type is not set        
-!--          surface vegetation fraction is non-zero. 
+!--          Check for further mismatches, e.g. vegetation_type is not set
+!--          surface vegetation fraction is non-zero.
              IF ( ( vegetation_type_f%var(j,i) == vegetation_type_f%fill  .AND.&
                  ( surface_fraction_f%frac(ind_veg_wall,j,i) /= 0.0_wp .AND.   &
@@ -3222,5 +3234,5 @@
                    surface_fraction_f%frac(ind_wat_win,j,i) /=                 &
                                                      surface_fraction_f%fill ) &
-                  ) )  THEN 
+                  ) )  THEN
                 WRITE( message_string, * ) 'Mismatch in setting of '     //    &
                              'surface_fraction. Vegetation-, pavement-, or '// &
@@ -3232,6 +3244,6 @@
              ENDIF
 !
-!--          Check vegetation_pars. If vegetation_type is 0, all parameters 
-!--          need to be set, otherwise, single parameters set by 
+!--          Check vegetation_pars. If vegetation_type is 0, all parameters
+!--          need to be set, otherwise, single parameters set by
 !--          vegetation_type can be overwritten.
              IF ( vegetation_type_f%from_file )  THEN
@@ -3240,6 +3252,6 @@
                              vegetation_pars_f%fill ) )  THEN
                       message_string = 'If vegetation_type(y,x) = 0, all '  // &
-                                       'parameters of vegetation_pars at '//   &  
-                                       'this location must be set.' 
+                                       'parameters of vegetation_pars at '//   &
+                                       'this location must be set.'
                       CALL message( 'netcdf_data_input_mod', 'NDI031',         &
                                      2, 2, 0, 6, 0 )
@@ -3248,5 +3260,5 @@
              ENDIF
 !
-!--          Check root distribution. If vegetation_type is 0, all levels must 
+!--          Check root distribution. If vegetation_type is 0, all levels must
 !--          be set.
              IF ( vegetation_type_f%from_file )  THEN
@@ -3255,6 +3267,6 @@
                              root_area_density_lsm_f%fill ) )  THEN
                       message_string = 'If vegetation_type(y,x) = 0, all ' //  &
-                                       'levels of root_area_density_lsm ' //   &
-                                       'must be set at this location.' 
+                                       'levels of root_area_dens_s ' //        &
+                                       'must be set at this location.'
                       CALL message( 'netcdf_data_input_mod', 'NDI032',         &
                                      2, 2, 0, 6, 0 )
@@ -3263,5 +3275,5 @@
              ENDIF
 !
-!--          Check soil parameters. If soil_type is 0, all parameters  
+!--          Check soil parameters. If soil_type is 0, all parameters
 !--          must be set.
              IF ( soil_type_f%from_file )  THEN
@@ -3279,6 +3291,6 @@
                 ENDIF
                 IF ( .NOT. check_passed )  THEN
-                   message_string = 'If soil_type(y,x) = 0, all levels of '  //&  
-                                    'soil_pars at this location must be set.' 
+                   message_string = 'If soil_type(y,x) = 0, all levels of '  //&
+                                    'soil_pars at this location must be set.'
                    CALL message( 'netcdf_data_input_mod', 'NDI033',            &
                                   2, 2, 0, 6, 0 )
@@ -3287,5 +3299,5 @@
 
 !
-!--          Check building parameters. If building_type is 0, all parameters  
+!--          Check building parameters. If building_type is 0, all parameters
 !--          must be set.
              IF ( building_type_f%from_file )  THEN
@@ -3295,5 +3307,5 @@
                       message_string = 'If building_type(y,x) = 0, all ' //    &
                                        'parameters of building_pars at this '//&
-                                       'location must be set.' 
+                                       'location must be set.'
                       CALL message( 'netcdf_data_input_mod', 'NDI034',         &
                                      2, 2, 0, 6, 0 )
@@ -3332,5 +3344,5 @@
 !
 !--          Check if at each location where a building is present also an ID
-!--          is set and vice versa. 
+!--          is set and vice versa.
              IF ( buildings_f%from_file )  THEN
                 IF ( buildings_f%lod == 1 )  THEN
@@ -3356,5 +3368,5 @@
 !
 !--          Check if at each location where a building ID or a -type is set
-!--          also a bulding is defined. 
+!--          also a bulding is defined.
              IF ( buildings_f%from_file )  THEN
                 IF ( buildings_f%lod == 1 )  THEN
@@ -3377,5 +3389,5 @@
              ENDIF
 !
-!--          Check albedo parameters. If albedo_type is 0, all parameters  
+!--          Check albedo parameters. If albedo_type is 0, all parameters
 !--          must be set.
              IF ( albedo_type_f%from_file )  THEN
@@ -3385,5 +3397,5 @@
                       message_string = 'If albedo_type(y,x) = 0, all ' //      &
                                        'parameters of albedo_pars at this ' // &
-                                       'location must be set.' 
+                                       'location must be set.'
                       CALL message( 'netcdf_data_input_mod', 'NDI037',         &
                                      2, 2, 0, 6, 0 )
@@ -3393,5 +3405,5 @@
 
 !
-!--          Check pavement parameters. If pavement_type is 0, all parameters  
+!--          Check pavement parameters. If pavement_type is 0, all parameters
 !--          of pavement_pars must be set at this location.
              IF ( pavement_type_f%from_file )  THEN
@@ -3401,5 +3413,5 @@
                       message_string = 'If pavement_type(y,x) = 0, all ' //    &
                                        'parameters of pavement_pars at this '//&
-                                       'location must be set.' 
+                                       'location must be set.'
                       CALL message( 'netcdf_data_input_mod', 'NDI038',         &
                                      2, 2, 0, 6, 0 )
@@ -3408,6 +3420,6 @@
              ENDIF
 !
-!--          Check pavement-subsurface parameters. If pavement_type is 0, 
-!--          all parameters of pavement_subsurface_pars must be set  at this 
+!--          Check pavement-subsurface parameters. If pavement_type is 0,
+!--          all parameters of pavement_subsurface_pars must be set  at this
 !--          location.
              IF ( pavement_type_f%from_file )  THEN
@@ -3418,5 +3430,5 @@
                                        'parameters of '                  //    &
                                        'pavement_subsurface_pars at this '//   &
-                                       'location must be set.' 
+                                       'location must be set.'
                       CALL message( 'netcdf_data_input_mod', 'NDI039',         &
                                      2, 2, 0, 6, 0 )
@@ -3426,5 +3438,5 @@
 
 !
-!--          Check water parameters. If water_type is 0, all parameters  
+!--          Check water parameters. If water_type is 0, all parameters
 !--          must be set  at this location.
              IF ( water_type_f%from_file )  THEN
@@ -3434,5 +3446,5 @@
                       message_string = 'If water_type(y,x) = 0, all ' //       &
                                        'parameters of water_pars at this ' //  &
-                                       'location must be set.' 
+                                       'location must be set.'
                       CALL message( 'netcdf_data_input_mod', 'NDI040',         &
                                      2, 2, 0, 6, 0 )
@@ -3461,9 +3473,9 @@
        INTEGER(iwp) ::  kl      !< lower index bound along z-direction
        INTEGER(iwp) ::  ku      !< upper index bound along z-direction
-       INTEGER(iwp) ::  nz_file !< number of vertical levels on file 
-
-
-       REAL(wp), DIMENSION(:) ::  z_grid                  !< grid levels on numeric grid 
-       REAL(wp), DIMENSION(:) ::  z_file                  !< grid levels on file grid 
+       INTEGER(iwp) ::  nz_file !< number of vertical levels on file
+
+
+       REAL(wp), DIMENSION(:) ::  z_grid                  !< grid levels on numeric grid
+       REAL(wp), DIMENSION(:) ::  z_file                  !< grid levels on file grid
        REAL(wp), DIMENSION(:), INTENT(INOUT) ::  var      !< treated variable
        REAL(wp), DIMENSION(:), ALLOCATABLE   ::  var_tmp  !< temporary variable
@@ -3483,5 +3495,5 @@
                                        ( var(kk+1)        - var(kk)    ) /     &
                                        ( z_file(kk+1)     - z_file(kk) ) *     &
-                                       ( z_grid(k)        - z_file(kk) ) 
+                                       ( z_grid(k)        - z_file(kk) )
 
              ELSEIF ( z_file(kk) - z_grid(k) > 0.0_wp )  THEN
@@ -3489,14 +3501,14 @@
                                          ( var(kk)     - var(kk-1)    ) /      &
                                          ( z_file(kk)  - z_file(kk-1) ) *      &
-                                         ( z_grid(k)   - z_file(kk-1) ) 
+                                         ( z_grid(k)   - z_file(kk-1) )
              ENDIF
 !
 !--       Extrapolate
           ELSE
-     
+
              var_tmp(k) = var(ku) +   ( var(ku)    - var(ku-1)      ) /        &
                                       ( z_file(ku) - z_file(ku-1)   ) *        &
-                                      ( z_grid(k)  - z_file(ku)     )  
-    
+                                      ( z_grid(k)  - z_file(ku)     )
+
           ENDIF
 
@@ -3519,5 +3531,5 @@
     SUBROUTINE netcdf_data_input_interpolate_1d_soil( var, var_file,           &
                                                       z_grid, z_file,          &
-                                                      nzb_var, nzt_var,        & 
+                                                      nzb_var, nzt_var,        &
                                                       nzb_file, nzt_file )
 
@@ -3529,13 +3541,13 @@
        INTEGER(iwp) ::  kk       !< running index z-direction stretched model grid
        INTEGER(iwp) ::  ku       !< upper index bound along z-direction for varialbe from file
-       INTEGER(iwp) ::  nzb_var  !< lower bound of final array 
-       INTEGER(iwp) ::  nzt_var  !< upper bound of final array 
-       INTEGER(iwp) ::  nzb_file !< lower bound of file array 
-       INTEGER(iwp) ::  nzt_file !< upper bound of file array 
+       INTEGER(iwp) ::  nzb_var  !< lower bound of final array
+       INTEGER(iwp) ::  nzt_var  !< upper bound of final array
+       INTEGER(iwp) ::  nzb_file !< lower bound of file array
+       INTEGER(iwp) ::  nzt_file !< upper bound of file array
 
 !        LOGICAL, OPTIONAL ::  depth !< flag indicating reverse z-axis, i.e. depth instead of height, e.g. in case of ocean or soil
 
-       REAL(wp), DIMENSION(nzb_var:nzt_var)   ::  z_grid   !< grid levels on numeric grid 
-       REAL(wp), DIMENSION(nzb_file:nzt_file) ::  z_file   !< grid levels on file grid 
+       REAL(wp), DIMENSION(nzb_var:nzt_var)   ::  z_grid   !< grid levels on numeric grid
+       REAL(wp), DIMENSION(nzb_file:nzt_file) ::  z_file   !< grid levels on file grid
        REAL(wp), DIMENSION(nzb_var:nzt_var)   ::  var      !< treated variable
        REAL(wp), DIMENSION(nzb_file:nzt_file) ::  var_file !< temporary variable
@@ -3548,5 +3560,5 @@
           kk = MINLOC( ABS( z_file - z_grid(k) ), DIM = 1 )
 !
-!--       If closest index on Inifor grid is smaller than top index, 
+!--       If closest index on Inifor grid is smaller than top index,
 !--       interpolate the data
           IF ( kk < nzt_file )  THEN
@@ -3554,10 +3566,10 @@
                 var(k) = var_file(kk) + ( var_file(kk+1) - var_file(kk) ) /    &
                                         ( z_file(kk+1)   - z_file(kk)   ) *    &
-                                        ( z_grid(k)      - z_file(kk)   ) 
+                                        ( z_grid(k)      - z_file(kk)   )
 
              ELSEIF ( z_file(kk) - z_grid(k) > 0.0_wp )  THEN
                 var(k) = var_file(kk-1) + ( var_file(kk) - var_file(kk-1) ) /  &
                                           ( z_file(kk)   - z_file(kk-1)   ) *  &
-                                          ( z_grid(k)    - z_file(kk-1)   ) 
+                                          ( z_grid(k)    - z_file(kk-1)   )
              ENDIF
 !
@@ -3566,5 +3578,5 @@
              var(k) = var_file(ku) + ( var_file(ku) - var_file(ku-1) ) /       &
                                      ( z_file(ku)   - z_file(ku-1)   ) *       &
-                                     ( z_grid(k)    - z_file(ku)     )  
+                                     ( z_grid(k)    - z_file(ku)     )
 
           ENDIF
@@ -3592,9 +3604,9 @@
        INTEGER(iwp) ::  kl      !< lower index bound along z-direction
        INTEGER(iwp) ::  ku      !< upper index bound along z-direction
-       INTEGER(iwp) ::  nz_file !< number of vertical levels on file 
-
-
-       REAL(wp), DIMENSION(:) ::  z_grid                  !< grid levels on numeric grid 
-       REAL(wp), DIMENSION(:) ::  z_file                  !< grid levels on file grid 
+       INTEGER(iwp) ::  nz_file !< number of vertical levels on file
+
+
+       REAL(wp), DIMENSION(:) ::  z_grid                  !< grid levels on numeric grid
+       REAL(wp), DIMENSION(:) ::  z_file                  !< grid levels on file grid
        REAL(wp), DIMENSION(:,:), INTENT(INOUT) ::  var    !< treated variable
        REAL(wp), DIMENSION(:), ALLOCATABLE   ::  var_tmp  !< temporary variable
@@ -3617,5 +3629,5 @@
                                           ( var(kk+1,i)      - var(kk,i)  ) /  &
                                           ( z_file(kk+1)     - z_file(kk) ) *  &
-                                          ( z_grid(k)        - z_file(kk) ) 
+                                          ( z_grid(k)        - z_file(kk) )
 
                 ELSEIF ( z_file(kk) - z_grid(k) > 0.0_wp )  THEN
@@ -3623,14 +3635,14 @@
                                             ( var(kk,i)   - var(kk-1,i)  ) /   &
                                             ( z_file(kk)  - z_file(kk-1) ) *   &
-                                            ( z_grid(k)   - z_file(kk-1) ) 
+                                            ( z_grid(k)   - z_file(kk-1) )
                 ENDIF
 !
 !--          Extrapolate
              ELSE
-     
+
                 var_tmp(k) = var(ku,i) + ( var(ku,i)  - var(ku-1,i)    ) /     &
                                          ( z_file(ku) - z_file(ku-1)   ) *     &
-                                         ( z_grid(k)  - z_file(ku)     )  
-    
+                                         ( z_grid(k)  - z_file(ku)     )
+
              ENDIF
 
@@ -3664,7 +3676,7 @@
        INTEGER(iwp) ::  kl      !< lower index bound along z-direction
        INTEGER(iwp) ::  ku      !< upper index bound along z-direction
-       INTEGER(iwp) ::  nz_file !< number of vertical levels on file 
-
-       REAL(wp), DIMENSION(:) ::  z_grid                      !< grid levels on numeric grid 
+       INTEGER(iwp) ::  nz_file !< number of vertical levels on file
+
+       REAL(wp), DIMENSION(:) ::  z_grid                      !< grid levels on numeric grid
        REAL(wp), DIMENSION(:) ::  z_file                      !< grid levels on file grid
        REAL(wp), DIMENSION(:,:,:), INTENT(INOUT) ::  var      !< treated variable
